# Pybandstructure (version 1.0)

Band structure calculator for simple models.
Allows easy implementation of simple periodic Hamiltonians including tight binding or plane waves models.
Results can be analyzed to extract thermodynamical properties, density of states, and optical conductivity.
A submodule is devoted to the implementation of superlattice hamiltonians.

## Installation

The package can be installed from the (test) Python Package Index as

    pip install -i https://test.pypi.org/simple/ --no-deps pybandstructure

or downloaded from the [repository](https://gitlab.com/itorre/bandstructure-calculation).

Dependencies can be installed separately using

    pip install numpy scipy matplotlib tqdm h5py

## Examples

Please refer to the [repository](https://gitlab.com/itorre/bandstructure-calculation) for example notebooks illustrating the main features.

## License

The package is distributed under the GNU Lesser General Public License v3 (LGPLv3).

## Cite as

If you use Pybandstructure for your research please cite

P. Novelli and I. Torre *"Pybandstructure: a python package for simple
band-structure calculations"* to appear on ArXiv (2020).